<?php

namespace WHMCS\Module\Addon\ProxyCheap\Commands;

use WHMCS\Module\Addon\ProxyCheap\AbstractCommand;
use WHMCS\Module\Addon\ProxyCheap\API;

class CredentialsGenerator extends AbstractCommand
{
    public function get()
    {
        $proxyid = (int)$this->input['proxy_id'];

        $api = new API();
        $request = $api->setKey($this->params['apikey'])
            ->setSecret($this->params['apisecret'])
            ->setHeaders()
            ->executeGET('proxies/'.$proxyid.'/credential-generator');

        return $request;
    }
}
